package tech.riemann.ims.service.material;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.nutz.spring.boot.service.interfaces.IdNameEntityService;
import tech.riemann.ims.dto.response.ApplyDTO;
import tech.riemann.ims.entity.material.ApplyForm;

import java.util.List;

/**
 * @author mayong
 * @since 2024/11/28 15:35
 */
public interface IApplyFormService extends IService<ApplyForm>, IdNameEntityService<ApplyForm> {

    /**
     *
     * @param page 页码
     * @param size 每页数量
     * @param applyType 申请类型
     * @param key 编码或名称关键字
     * @return IPage<ApplyDTO>
     */
    IPage<ApplyDTO> search(int page, int size, Integer applyType, List<String> types, String key);
}
